package com.gh.gamecenter.room.converter

import androidx.room.TypeConverter
import com.gh.gamecenter.common.utils.toJson
import com.gh.gamecenter.common.utils.toObject
import com.gh.gamecenter.feature.entity.User

class UserConverter {
    @TypeConverter
    fun toUserString(data: User?): String {
        return data?.toJson() ?: ""
    }

    @TypeConverter
    fun toUser(token: String?): User {
        return token?.toObject() ?: User()
    }
}